import java.util.Scanner;


public class abab {

	public static void main(String[] args) {
		int a1, a2;
		char c1, c2;
		int prvi, drugi;
		char cprvi, cdrugi;
		boolean jednaki = true;
		String rezultat = "";
		
		Scanner sc = new Scanner(System.in);
		a1 = sc.nextInt();
		a2 = sc.nextInt();
		c1 = sc.next().charAt(0);
		c2 = sc.next().charAt(0);
		sc.close();
		
		
		prvi = a1;
		cprvi = c1;
		drugi = a2;
		cdrugi = c2;
		
		if(a1 != a2) {
			jednaki = false;
			if (a2>a1) {
				prvi = a2;
				cprvi = c2;
				drugi = a1;
				cdrugi = c1;
			}
		}
		if(abs(a1-a2)>=2) {
			System.out.println("nemoguce");
			return;
		} else System.out.println("moguce");
		
		for(int i = 0; i<drugi; i++) {
			rezultat += cdrugi;
			rezultat += cprvi;
		}
		
		if (jednaki) {
			System.out.println(rezultat);
		} else {
			System.out.println(cprvi + rezultat);
		}
		
	}

	 static int abs(int i) {
		 if (i < 0) return i * -1;
			else return i;
	}

}